<?php

// Content for the Customization tab
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Save "Customize your Plugin" settings
    $fields = [
        'verify_popup_title', 'verify_popup_description', 'verify_popup_process_1', 
        'verify_popup_process_2', 'verify_popup_button', 'verify_popup_link', 
        'verifying_popup_title', 'verifying_popup_description', 
        'rejected_popup_title', 'rejected_popup_description', 
        'rejected_popup_button_1', 'rejected_popup_button_2',
    ];

    foreach ($fields as $field) {
        if (isset($_POST[$field])) {
            update_option($field, sanitize_text_field($_POST[$field]));
        }
    }

    // Handle the 'ship_outside_denmark' checkbox separately
    if (isset($_POST['ship_outside_denmark'])) {
        update_option('ship_outside_denmark', 'yes');
    } else {
        update_option('ship_outside_denmark', 'no'); // If unchecked, save as 'no'
    }

}

// Fetch current values from the database
$verify_popup_title = get_option('verify_popup_title', 'Verifikation Påkrævet');
$verify_popup_description = get_option('verify_popup_description', 'Ifølge dansk lovgivning skal vi verificere din alder for at sælge dig aldersbegrænsede produkter.');
$verify_popup_process_1 = get_option('verify_popup_process_1', 'Åbn MitID og bekræft din alder.');
$verify_popup_process_2 = get_option('verify_popup_process_2', 'Tak, du kan nu færdiggøre din ordre.');
$verify_popup_button = get_option('verify_popup_button', 'Bekræft din alder med');
$verify_popup_link = get_option('verify_popup_link', "I am a customer from outside of Denmark");

$verifying_popup_title = get_option('verifying_popup_title', 'Verificering....');
$verifying_popup_description = get_option('verifying_popup_description', 'Vi overholder alle regler, der skal forhindre salg af alkohol og tobak til mindreårige.');

$rejected_popup_title = get_option('rejected_popup_title', 'Verificering Afvist');
$rejected_popup_description = get_option('rejected_popup_description', 'Du er under aldersgrænsen for nogle af varerne i kurven. Fjern venligst disse varer for at fortsætte dit køb');
$rejected_popup_button_1 = get_option('rejected_popup_button_1', 'Tilbage til kurven');
$rejected_popup_button_2 = get_option('rejected_popup_button_2', 'Bekræft din alder med');

$ship_outside_denmark = get_option('ship_outside_denmark', 'yes'); // Added checkbox value

?>

<div class="wrap" id="verify-it-app">

    <form method="POST" action="" style="max-width: 900px; margin: 0 auto; padding: 20px; background-color: #f9f9f9; border: 1px solid #ddd; border-radius: 10px;">

        <!-- Verification Popup Section -->
        <h3 style="text-align: center;"><?php _e('Verifikations Popup', 'verify-id-plugin'); ?></h3>

        <label for="verify_popup_title"><?php _e('Titel', 'verify-id-plugin'); ?></label>
        <input type="text" id="verify_popup_title" name="verify_popup_title" value="<?php echo esc_attr($verify_popup_title); ?>" placeholder="Verifikation Påkrævet" style="width: 100%; margin-bottom: 10px;"/>

        <label for="verify_popup_description"><?php _e('Beskrivelse', 'verify-id-plugin'); ?></label>
        <input type="text" id="verify_popup_description" name="verify_popup_description" value="<?php echo esc_attr($verify_popup_description); ?>" placeholder="Ifølge dansk lovgivning skal vi verificere din alder..." style="width: 100%; margin-bottom: 10px;"/>

        <label for="verify_popup_process_1"><?php _e('Punkt 1', 'verify-id-plugin'); ?></label>
        <input type="text" id="verify_popup_process_1" name="verify_popup_process_1" value="<?php echo esc_attr($verify_popup_process_1); ?>" placeholder="Åbn MitID og bekræft din alder." style="width: 100%; margin-bottom: 10px;"/>

        <label for="verify_popup_process_2"><?php _e('Punkt 2', 'verify-id-plugin'); ?></label>
        <input type="text" id="verify_popup_process_2" name="verify_popup_process_2" value="<?php echo esc_attr($verify_popup_process_2); ?>" placeholder="Tak, du kan nu færdiggøre din ordre." style="width: 100%; margin-bottom: 10px;"/>

        <label for="verify_popup_button"><?php _e('Verifikationsknap Tekst', 'verify-id-plugin'); ?></label>
        <input type="text" id="verify_popup_button" name="verify_popup_button" value="<?php echo esc_attr($verify_popup_button); ?>" placeholder="Bekræft din alder med" style="width: 100%; margin-bottom: 10px;"/>
        <br />
        
        <!-- New checkbox for "We Ship Outside of Denmark" -->
        <label for="ship_outside_denmark">
            <input type="checkbox" id="ship_outside_denmark" name="ship_outside_denmark" value="yes" <?php checked($ship_outside_denmark, 'yes'); ?> />
            <?php _e('Vi leverer uden for Danmark', 'verify-id-plugin'); ?>
        </label>
        <br />
        <br />

        <label for="verify_popup_link"><?php _e('kke Dansk Borger Tekst (Engelsk)', 'verify-id-plugin'); ?></label>
        <input type="text" id="verify_popup_link" name="verify_popup_link" value="<?php echo esc_attr($verify_popup_link); ?>" placeholder="I'm a customer from outside of Denmark" style="width: 100%; margin-bottom: 10px;"/>

        <!-- Verifying Popup Section -->
        <h3 style="text-align: center;"><?php _e('Verificerende Popup', 'verify-id-plugin'); ?></h3>

        <label for="verifying_popup_title"><?php _e('Titel', 'verify-id-plugin'); ?></label>
        <input type="text" id="verifying_popup_title" name="verifying_popup_title" value="<?php echo esc_attr($verifying_popup_title); ?>" placeholder="Verificering...." style="width: 100%; margin-bottom: 10px;"/>

        <label for="verifying_popup_description"><?php _e('Beskrivelse', 'verify-id-plugin'); ?></label>
        <input type="text" id="verifying_popup_description" name="verifying_popup_description" value="<?php echo esc_attr($verifying_popup_description); ?>" placeholder="Vi overholder alle regler..." style="width: 100%; margin-bottom: 10px;"/>

        <!-- Verification Rejected Popup Section -->
        <h3 style="text-align: center;"><?php _e('Popup med afvist verifikation', 'verify-id-plugin'); ?></h3>

        <label for="rejected_popup_title"><?php _e('Titel', 'verify-id-plugin'); ?></label>
        <input type="text" id="rejected_popup_title" name="rejected_popup_title" value="<?php echo esc_attr($rejected_popup_title); ?>" placeholder="Verificering Afvist" style="width: 100%; margin-bottom: 10px;"/>

        <label for="rejected_popup_description"><?php _e('Beskrivelse', 'verify-id-plugin'); ?></label>
        <input type="text" id="rejected_popup_description" name="rejected_popup_description" value="<?php echo esc_attr($rejected_popup_description); ?>" placeholder="Du er under aldersgrænsen for nogle af varerne i kurven. Fjern venligst disse varer for at fortsætte dit køb" style="width: 100%; margin-bottom: 10px;"/>

        <label for="rejected_popup_button_1"><?php _e('Tilbage til indkøbskurv knap', 'verify-id-plugin'); ?></label>
        <input type="text" id="rejected_popup_button_1" name="rejected_popup_button_1" value="<?php echo esc_attr($rejected_popup_button_1); ?>" placeholder="Tilbage til kurven" style="width: 100%; margin-bottom: 10px;"/>

        <label for="rejected_popup_button_2"><?php _e('Bekræftelses Knap', 'verify-id-plugin'); ?></label>
        <input type="text" id="rejected_popup_button_2" name="rejected_popup_button_2" value="<?php echo esc_attr($rejected_popup_button_2); ?>" placeholder="Bekræft din alder med" style="width: 100%; margin-bottom: 10px;"/>

        <button type="submit" class="button button-primary" style="margin-top: 20px; width: 100%;"><?php _e('Gem Indstillinger', 'verify-id-plugin'); ?></button>
    </form>
</div>

<script type="text/javascript">
    // Disable or enable the "I'm a customer from outside of Denmark" field based on the checkbox
    document.addEventListener('DOMContentLoaded', function() {
        var checkbox = document.getElementById('ship_outside_denmark');
        var linkField = document.getElementById('verify_popup_link');

        function toggleLinkField() {
            if (checkbox.checked) {
                linkField.removeAttribute('disabled');
            } else {
                linkField.setAttribute('disabled', 'disabled');
            }
        }

        // Initial check
        toggleLinkField();

        // Add event listener to toggle the field on checkbox change
        checkbox.addEventListener('change', toggleLinkField);
    });
</script>

<?php
?>
