<?php


// Content for the admin page
// function age_verification_admin_page_content() {
    $plugin_key = get_option('verify_it_plugin_key_1');
    $user_name = get_option('verify_it_user_name_1');
    $api_url = 'https://app.verifyid.dk/key/' . $plugin_key;

    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        if (isset($_POST['logout'])) {
            delete_option('verify_it_plugin_key_1');
            delete_option('verify_it_user_name_1');
            $plugin_key = null;
            $user_name = null;
        }

        $plugin_enabled = isset($_POST['enable_plugin_checkbox']) ? 'yes' : 'no';
        update_option('verify_it_plugin_enabled', $plugin_enabled);

        if ($plugin_enabled === 'yes') {
            $verification_option = isset($_POST['verify_on_all_pages']) ? 'yes' : 'no';
            update_option('verify_it_verify_on_all_pages', $verification_option);

            if ($verification_option === 'yes' && isset($_POST['min_age'])) {
                $min_age = intval($_POST['min_age']);
                update_option('verify_it_minimum_age', $min_age);
            } else {
                delete_option('verify_it_minimum_age');
            }
        }
    }

    $plugin_enabled = get_option('verify_it_plugin_enabled', 'yes');
    $verify_on_all_pages = get_option('verify_it_verify_on_all_pages', 'no');
    $minimum_age = get_option('verify_it_minimum_age', 16);
    ?>

    <div class="wrap" id="verify-it-app">
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
        <?php if (!$plugin_key) : ?>
            <h1 style="text-align: center;"><?php _e('Velkommen til VerifyID', 'verify-id-plugin'); ?></h1>
            <p style="text-align: center;"><?php _e("For at fortsætte, indtast venligst din plugin-nøgle.", 'verify-id-plugin'); ?></p>
            <p style="text-align: center;">
                <a href="https://app.verifyid.dk/sign-up" target="_blank">
                    <?php _e('Klik her for at få en.', 'verify-id-plugin'); ?>
                </a>
            </p>
            <form id="verify-it-form" method="POST" style="text-align: center; margin-top: 20px;">
                <input type="text" id="plugin-key" name="plugin_key" placeholder="Indtast plugin-nøgle" required style="width: 300px; padding: 10px; margin-bottom: 10px;">
                <br>
                <button type="submit" class="button button-primary"><?php _e('Indsend', 'verify-id-plugin'); ?></button>
            </form>
        <?php else : ?>
            <h1 style="text-align: center;"><?php printf(__('Velkommen, %s', 'verify-id-plugin'), esc_html($user_name)); ?></h1>
            <p style="text-align: center;"><?php _e('For flere detaljer og indstillinger:', 'verify-id-plugin'); ?></p>
            <p style="text-align: center;">
                <a href="<?php echo esc_url($api_url); ?>" target="_blank" class="button button-secondary">
                    <?php _e('Gå til Indstillinger', 'verify-id-plugin'); ?>
                </a>
            </p>
            <form method="POST" style="max-width: 600px; margin: 0 auto; padding: 20px; background-color: #f9f9f9; border: 1px solid #ddd; border-radius: 10px;">
                <h2 style="text-align: center; margin-bottom: 20px;"><?php _e('Plugin indstillinger', 'verify-id-plugin'); ?></h2>

                <label for="enable_plugin_checkbox" style="font-weight: bold; margin-bottom: 10px;">
                    <input type="checkbox" name="enable_plugin_checkbox" id="enable_plugin_checkbox" value="yes" <?php checked($plugin_enabled, 'yes'); ?> />
                    <?php _e('Aktiver plugin', 'verify-id-plugin'); ?>
                </label>

                <div id="plugin-settings" style="display: <?php echo $plugin_enabled === 'yes' ? 'block' : 'none'; ?>; margin-top: 20px;">
                    <label for="verify_on_all_pages" style="font-weight: bold;">
                        <input type="checkbox" name="verify_on_all_pages" id="verify_on_all_pages" value="yes" <?php checked($verify_on_all_pages, 'yes'); ?> />
                        <?php _e('Bekræft brugere på alle sider, ikke kun på betalingssiden.', 'verify-id-plugin'); ?>
                    </label>

                    <div id="min-age-field" style="display: <?php echo $verify_on_all_pages === 'yes' ? 'block' : 'none'; ?>; margin-top: 10px;">
                        <label for="min_age" style="font-weight: bold;">
                            <?php _e('Minimumsalder for brug:', 'verify-id-plugin'); ?>
                        </label>
                        <input type="number" name="min_age" id="min_age" placeholder="16" value="<?php echo esc_attr($minimum_age); ?>" style="width: 60px; margin-left: 10px;">
                    </div>
                </div>

                <button type="submit" class="button button-primary" style="margin-top: 20px; width: 100%;"><?php _e('Gem indstillinger', 'verify-id-plugin'); ?></button>
            </form>

            <form method="POST" style="text-align: center; margin-top: 20px;">
                <button type="submit" name="logout" class="button button-secondary"><?php _e('Log ud & Skift nøgle', 'verify-id-plugin'); ?></button>
            </form>
        <?php endif; ?>
    </div>

    

    <script type="text/javascript">
        jQuery(document).ready(function($) {
            $('#enable_plugin_checkbox').change(function() {
                if ($(this).is(':checked')) {
                    $('#plugin-settings').slideDown();
                } else {
                    $('#plugin-settings').slideUp();
                }
            });

            $('#verify_on_all_pages').change(function() {
                if ($(this).is(':checked')) {
                    $('#min-age-field').slideDown();
                } else {
                    $('#min-age-field').slideUp();
                }
            });
        });
    </script>
    
