<?php

// Enqueue the script for the admin page using the correct hook
function age_verification_enqueue_admin_scripts($hook_suffix) {
    if ($hook_suffix === 'toplevel_page_verify-id-admin') {
        wp_enqueue_script(
            'onboarding-js',
            plugin_dir_url(__FILE__) . '../assets/js/onboarding.js',
            array('jquery'),
            '1.14',
            true
        );
    }
}
add_action('admin_enqueue_scripts', 'age_verification_enqueue_admin_scripts');

// Add a new top-level menu (Admin Page)
function age_verification_add_admin_page() {
    add_menu_page(
        __('VerifyID', 'verify-id-plugin'),
        __('VerifyID', 'verify-id-plugin'),
        'manage_options',
        'verify-id-admin',
        'age_verification_admin_page_content', 
        'dashicons-shield-alt',
        90
    );
}
add_action('admin_menu', 'age_verification_add_admin_page');

// Content for the admin page
function age_verification_admin_page_content() {
    $active_tab = isset($_GET['tab']) ? $_GET['tab'] : 'general'; // Determine active tab

    ?>

    <div class="wrap" id="verify-it-app">
        <h1><?php _e('VerifyID Settings', 'verify-id-plugin'); ?></h1>

        <!-- Navigation Tabs -->
        <h2 class="nav-tab-wrapper">
            <a href="?page=verify-id-admin&tab=general" class="nav-tab <?php echo $active_tab == 'general' ? 'nav-tab-active' : ''; ?>"><?php _e('General', 'verify-id-plugin'); ?></a>
            <a href="?page=verify-id-admin&tab=customization" class="nav-tab <?php echo $active_tab == 'customization' ? 'nav-tab-active' : ''; ?>"><?php _e('Tilpasning af Popup', 'verify-id-plugin'); ?></a>
        </h2>

        <!-- Tab Content -->
        <div class="tab-content">
            <?php
            if ($active_tab == 'general') {
                // Load the General Settings page (Existing admin-page.php logic)
                include_once plugin_dir_path(__FILE__) . 'admin-page-general.php';
            } elseif ($active_tab == 'customization') {
                // Load the Customization Settings page (New customization page logic)
                include_once plugin_dir_path(__FILE__) . 'admin-page-customization.php';
            }
            ?>
        </div>
    </div>

    <?php
}
?>
